Path parameters
idintegerRequired
Request body
customerobjectRequiredShow 7 child attributesHide child attributes
emailstringExample:jane.doe@example.comfirst_namestringExample:Janelast_namestringExample:DoephonestringExample:+1 555 010 0199tax_numberstringExample:US-12-3456789eori_numberstringtagsstringExample:wholesale, vip
Returns
The customer object.
Errors
401
Missing or invalid API key.
403
The store is not on a paid plan. API access requires a paid Invoice Falcon plan.
404
Resource not found.
422
Request could not be processed.
429
Rate limit exceeded. Check X-RateLimit-Reset header.
PATCH/customers/{id}
curl -X PATCH "https://app.invoicefalcon.com/api/v1/external/customers/{id}" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"customer": {
"id": 9177,
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tax_number": "US-12-3456789",
"eori_number": null,
"tags": "wholesale, vip",
"shopify_customer_id": 7001234567,
"created_at": "2025-09-21T16:45:00Z",
"updated_at": "2026-01-16T10:05:00Z"
}
}'const res = await fetch("https://app.invoicefalcon.com/api/v1/external/customers/{id}", {
method: "PATCH",
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"customer": {
"id": 9177,
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tax_number": "US-12-3456789",
"eori_number": null,
"tags": "wholesale, vip",
"shopify_customer_id": 7001234567,
"created_at": "2025-09-21T16:45:00Z",
"updated_at": "2026-01-16T10:05:00Z"
}
}),
});
const data = await res.json();import os
import requests
res = requests.patch(
"https://app.invoicefalcon.com/api/v1/external/customers/{id}",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
json={
"customer": {
"id": 9177,
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tax_number": "US-12-3456789",
"eori_number": None,
"tags": "wholesale, vip",
"shopify_customer_id": 7001234567,
"created_at": "2025-09-21T16:45:00Z",
"updated_at": "2026-01-16T10:05:00Z"
}
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/customers/{id}")
req = Net::HTTP::Patch.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"], "Content-Type" => "application/json")
req.body = {
customer: {
id: 9177,
email: "jane.doe@example.com",
first_name: "Jane",
last_name: "Doe",
phone: "+1 555 010 0199",
tax_number: "US-12-3456789",
eori_number: nil,
tags: "wholesale, vip",
shopify_customer_id: 7001234567,
created_at: "2025-09-21T16:45:00Z",
updated_at: "2026-01-16T10:05:00Z"
}
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Response
{
"customer": {
"id": 9177,
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tax_number": "US-12-3456789",
"eori_number": null,
"tags": "wholesale, vip",
"shopify_customer_id": 7001234567,
"created_at": "2025-09-21T16:45:00Z",
"updated_at": "2026-01-16T10:05:00Z"
}
}{
"error": "Invalid API key"
}{
"error": "REST API access requires a paid plan"
}{
"error": "Not found"
}{
"error": "param is missing or the value is empty: customer",
"errors": {}
}{
"error": "Rate limit exceeded",
"retry_after": 30,
"message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}